{{/* vim: set filetype=mustache: */}}
{{/*
Create env list.
*/}}
{{- define "mdr-reporting-job.env" }}
- name: AWS_REGION
  value: {{ .Values.global.awsRegion }}
- name: ENV_CATEGORY
  value: {{ .Values.global.envCategory }}
- name: ENV
  value: {{ .Values.global.env }}
- name: LOGGING_LEVEL
  value: {{ .Values.loggingLevel }}
{{ if eq .Values.global.envCategory "prd"}}
- name: CDCA_ROLE_ARN
  value: arn:aws:iam::103647283769:role/cdca-msc2-mdr-reporting-role
- name: CDCA_DATABASE
  value: athena
- name: CDCA_QUERY_RESULT
  value: cdca-policy-suggest-analytics-prod-athena-out
{{ else }}
- name: CDCA_ROLE_ARN
  value: arn:aws:iam::063693278873:role/cdca-msc2-mdr-reporting-role
- name: CDCA_DATABASE
  value: cdca
- name: CDCA_QUERY_RESULT
  value: cdca-policy-suggest-analytics-dev-athena-outputs
{{ end }}
- name: ORG_DAILY_BUCKET
  valueFrom:
    configMapKeyRef:
      name: {{ .Values.mosaic2.dailyBucket }}
      key: bucketName
- name: ORG_MONTHLY_BUCKET
  valueFrom:
    configMapKeyRef:
      name: {{ .Values.mosaic2.monthlyBucket }}
      key: bucketName
- name: PROMETHEUS_PORT
  value: "9090"
{{- end -}}